| Kea 3.0.2-git

radius_utils.h File Reference
`#include <dhcp/duid.h>`
Include dependency graph for radius_utils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::radius

## Functions
string | isc::radius::canonize (const std::string &hexdump)
| Canonize hardware address textual representation.
vector< uint8_t > | isc::radius::extractDuid (const dhcp::ClientIdPtr &client_id, bool &extracted)
| Extract the duid from a RFC 4361 compliant DHCPv4 client ID.
vector< uint8_t > | isc::radius::pop0 (const dhcp::ClientIdPtr &client_id)
| Pop leading zero in a DHCPv4 client-id.
vector< uint8_t > | isc::radius::pop0 (const dhcp::DuidPtr &duid)
| Pop leading zeros in a DHCPv6 duid.
string | isc::radius::toHex (const std::vector< uint8_t > &content)
| Return hexadecimal textual representation of a vector.
string | isc::radius::toPrintable (const std::vector< uint8_t > &content)
| Return printable textual representation of a vector.